WordPress 4.1.2 is now available.  It’s a critical security release.  If your site was updated to 4.1 then it should update automatically to the new version.

If you’re running an older version of WordPress or if for some reason your site didn’t automatically update then you should update your existing system. (Very Important – Remember to backup your site before you update.)  If you’d like your site updated, but don’t know how contact me and ask about our WordPress update service.

WordPress Plugin Updates

The WordPress software update has fixes for three security issues.  One of those issues, cross-site scripting, could also be a problem in many popular plugins.

Sucuri (the folks who make the Sucuri Security plugin that I recommend) states that many popular plugins are affected and should be updated as soon as possible.

Affected Plugins Include

  • Jetpack
  • WordPress SEO
  • Google Analytics by Yoast
  • All In one SEO
  • Gravity Forms
  • Multiple Plugins from Easy Digital Downloads
  • UpdraftPlus
  • WP-E-Commerce
  • WPTouch
  • Download Monitor
  • Related Posts for WordPress
  • My Calendar
  • P3 Profiler
  • Give
  • Multiple iThemes products including Builder and Exchange
  • Broken-Link-Checker
  • Ninja Forms

What Should You Do?

If you’re in charge of updates for your WordPress site – Backup the site and update

If you’re a customer of mine and have my WordPress Update service – I’ll be in touch.  We’re working out a way to get everyone updated.

If you’d like to sign up for the update service – Contact me and we’ll get your site updated ASAP.

Leave a comment

Your email address will not be published. Required fields are marked *